﻿@page "/changeaddress"
@inject NavigationManager NavigationManager
@inject HttpClient Http

<MudGrid Justify="Justify.Center">
	<MudItem xs="12" sm="8" md="6" lg="4" xl="3">
		<MudPaper Elevation="8" Class="pa-4">
			<MudTabs>
				<MudTabPanel Text="Address:">
					<MudForm @ref="form" @bind-IsValid="isValid">
						<MudTextField Label="Street" Variant="Variant.Filled" @bind-Value="street" Required="true" RequiredError="Street is required!" FullWidth />
						<MudTextField Label="Nr" Variant="Variant.Filled" @bind-Value="number" Required="true" RequiredError="Number is required!" FullWidth />
						<MudTextField Label="City" Variant="Variant.Filled" @bind-Value="city" Required="true" RequiredError="City is required!" FullWidth />
						<MudButton Variant="Variant.Filled" Color="Color.Primary" Class="mt-4" OnClick="SetAddress">Confirm</MudButton>
					</MudForm>
				</MudTabPanel>
			</MudTabs>
		</MudPaper>
	</MudItem>
</MudGrid>

@code {
	private string street;
	private string city;
	private string ivagoStreet;
	private string number;
	private bool isValid;
	private MudForm form;

	private async Task SetAddress()
	{
		ivagoStreet = Uri.EscapeDataString(street + " (" + city.ToUpper() + ")");
		//wasteCollectionTasks = await Http.GetFromJsonAsync<List<WasteCollectionTask>>($"api/garbagecollection?ivagoStreet={Uri.EscapeDataString(ivagoStreet)}&number={Uri.EscapeDataString(number)}");
		Address _address = new Address
			{
				Id = 1,
				IvagoStreet = ivagoStreet,
				Number = number
			};
		var response = await Http.PostAsJsonAsync("api/postaddress", _address);
		NavigationManager.NavigateTo("/calendar");
	}
}
